WAON-PV(1)

NAME
WaoN-pv - yet-another phase vocoder

SYNOPSIS
waon-pv [option ...]

DESCRIPTION
WaoN-pv is yet-another phase vocoder with which you can time-strech and pitch-shift a sound file.

OPTIONS

-h, --help
    print this help.

-v, --version
    print version information.

OPTIONS FOR FILES

-i, --input
    input file (default: stdin)

-o, --output
    output file in flac (default: play audio by ao)

FFT OPTIONS

-n  FFT data number (default: 2048)

-w --window
    0 no window
    1 parzen window
        2 welch window
            3 hanning window (default)
                4 hamming window
                    5 blackman window
                        6 steeper 30-dB/octave rolloff window

PHASE-VOCODER OPTIONS

-hop
    hop number (default: 256)

-rate
    synthesize rate; larger is faster (default: 1.0)

-pitch
    pitch shift. +1/-1 is half-note up/down (default: 0)

-scheme
    give the number for PV scheme
    0 : interactive PV with curses (default)
        1 : conventional PV
            2 : PV by complex arithmetics with fixed hops
                3 : Puckette's loose-locking PV
                    4 : Puckette's loose-locking PV by complex with fixed hops
                        5 : PV with fixed hops by Ellis
                            6 : PV in freq. domain
                                7 : plain superimpose (no-FFT)

KEY BINDINGS IN CURSES MODE (with -scheme 0, the default)

SPACE        : play / stop

< >          : set loop range

[{ }]        : expand the loop range

L, l         : phase-lock on / off

W, w         : change window

H, h         : hop-size up / down

UP / DOWN    : pitch up / down

LEFT / RIGHT : pitch up / down

R, r, HOME   : reset parameters

N, n         : toggle for no-FFT mode

Q, q         : quit

COPYRIGHT
Copyright © 1998-2008 Kengo Ichiki <kichiki@users.sourceforge.net> Web: http://waon.sourceforge.net/

SEE ALSO
waon(1),gwaon(1)